Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
hubs
/
{hub_id}
/
access-rules
List Rules
curl --request GET \
  --url https://api.member.dev/api/v1/teams/{team_id}/hubs/{hub_id}/access-rules \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "conditions": [
          {
            "condition_data": {},
            "condition_type": "<string>",
            "position": 123
          }
        ],
        "created_at": "2023-11-07T05:31:56Z",
        "hub_id": "<string>",
        "logic_operator": "<string>",
        "target_id": "<string>",
        "target_type": "<string>",
        "team_id": "<string>",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "access_rules"
    }
  ],
  "links": {},
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required
hub_id
string
required

Query Parameters

page[after]
string | null
page[size]
integer
default:20
Required range: 1 <= x <= 100

Response

Successful Response

data
AccessRuleResource · object[]
required
meta
Meta · object
required